
echo >&2 "Adding system configuration files /etc/zsh/{zlogin,zlogout,zprofile}..."
mkdir -p /etc/zsh
[ -e /etc/zsh/zlogin ] || echo > /etc/zsh/zlogin "\
# /etc/zsh/zlogin: system-wide .zlogin file for zsh(1).
#
# This file is sourced only for login shells. It
# should contain commands that should be executed only
# in login shells. It should be used to set the terminal
# type and run a series of external commands (fortune,
# msgs, from, etc.)
#
# Global Order: zshenv, zprofile, zshrc, zlogin"

[ -e /etc/zsh/zlogout ] || echo > /etc/zsh/zlogout "\
# /etc/zsh/zlogout: system-wide .zlogout file for zsh(1)."

[ -e /etc/zsh/zprofile ] || echo > /etc/zsh/zprofile "\
# /etc/zsh/zprofile: system-wide .zprofile file for zsh(1).
#
# This file is sourced only for login shells (i.e. shells
# invoked with "-" as the first character of argv[0], and
# shells invoked with the -l flag.)
#
# Global Order: zshenv, zprofile, zshrc, zlogin

# fatdog's /etc/profile makes the system go round
source /etc/profile"
